#include <iostream>

using namespace std;

int main()
{
    int T, N, ba=0 , bb=0;
    cin>>T;
    int To[T];
    long long A[1000], B[1000];
    for(int i=0; i<T; i++)
    {
        cin>>N;
        for(int j=0; j<N; j++)
            {cin>>A[j];
             ba+=A[j];
            }
        for(int k=0; k<N; k++)
            {cin>>B[k];
             bb+=B[k];
            }
        if(N%2==0)
        {
            if(asc(bb)==asc(ba))
                To[i]=1;
            else 
                To[i]=0;
        }
        if(bb==ba)
            To[i]=1;
        else
            To[i]=0;
    }
    for(int i=0; i<T; i++)
    {
        if(To[i]==1)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }
    return 0;
}